package models

import "database/sql/driver"

type ActivitystreamsActivityType string

const (
	ActivityUnknown         = ActivitystreamsActivityType("unknown")
	ActivityAccept          = ActivitystreamsActivityType("accept")
	ActivityAdd             = ActivitystreamsActivityType("add")
	ActivityAnnounce        = ActivitystreamsActivityType("announce")
	ActivityArrive          = ActivitystreamsActivityType("arrive")
	ActivityBlock           = ActivitystreamsActivityType("block")
	ActivityCreate          = ActivitystreamsActivityType("create")
	ActivityDelete          = ActivitystreamsActivityType("delete")
	ActivityDislike         = ActivitystreamsActivityType("dislike")
	ActivityFlag            = ActivitystreamsActivityType("flag")
	ActivityFollow          = ActivitystreamsActivityType("follow")
	ActivityIgnore          = ActivitystreamsActivityType("ignore")
	ActivityInvite          = ActivitystreamsActivityType("invite")
	ActivityJoin            = ActivitystreamsActivityType("join")
	ActivityLeave           = ActivitystreamsActivityType("leave")
	ActivityLike            = ActivitystreamsActivityType("like")
	ActivityListen          = ActivitystreamsActivityType("listen")
	ActivityMove            = ActivitystreamsActivityType("move")
	ActivityOffer           = ActivitystreamsActivityType("offer")
	ActivityQuestion        = ActivitystreamsActivityType("question")
	ActivityRead            = ActivitystreamsActivityType("read")
	ActivityReject          = ActivitystreamsActivityType("reject")
	ActivityRemove          = ActivitystreamsActivityType("remove")
	ActivityTentativeAccept = ActivitystreamsActivityType("tentative-accept")
	ActivityTentativeReject = ActivitystreamsActivityType("tentative-reject")
	ActivityTravel          = ActivitystreamsActivityType("travel")
	ActivityUndo            = ActivitystreamsActivityType("undo")
	ActivityUpdate          = ActivitystreamsActivityType("update")
	ActivityView            = ActivitystreamsActivityType("view")
)

var AllActivitystreamsActivityTypes = []ActivitystreamsActivityType{
	ActivityUnknown,
	ActivityAccept,
	ActivityAdd,
	ActivityAnnounce,
	ActivityArrive,
	ActivityBlock,
	ActivityCreate,
	ActivityDelete,
	ActivityDislike,
	ActivityFlag,
	ActivityFollow,
	ActivityIgnore,
	ActivityInvite,
	ActivityJoin,
	ActivityLeave,
	ActivityLike,
	ActivityListen,
	ActivityMove,
	ActivityOffer,
	ActivityQuestion,
	ActivityRead,
	ActivityReject,
	ActivityRemove,
	ActivityTentativeAccept,
	ActivityTentativeReject,
	ActivityTravel,
	ActivityUndo,
	ActivityUpdate,
	ActivityView,
}

func (r *ActivitystreamsActivityType) Value() (driver.Value, error) {
	return r, nil
}

func (ct *ActivitystreamsActivityType) Scan(value any) error {
	*ct = ActivitystreamsActivityType(value.(string))
	return nil
}
