package models

import (
	"database/sql"

	"gorm.io/gorm"
)

// UserRemoteLinks contains cached links for remote users
type UserRemoteLinks struct {
	// ---- Section: gorm
	// Sets this struct up as a value that an Account may have
	gorm.Model
	User   User
	UserId string

	// Just about every link here is optional to accomodate for servers with only minimal accounts
	// Minimal being handle, ap link and inbox
	ApLink           string
	ViewLink         sql.NullString
	FollowersLink    sql.NullString
	FollowingLink    sql.NullString
	InboxLink        string
	OutboxLink       sql.NullString
	FeaturedLink     sql.NullString
	FeaturedTagsLink sql.NullString
}
